form {
  margin-bottom: 30px;
  max-width: 500px;
  --form-height: 50px;
}
form input[type="text"] {
  float: left;
  width: 80%;
  height: var(--form-height);
  padding: 10px;
  background: #f1f1f1;
  font-family: inherit;
  font-size: inherit;
}
form button {
  float: left;
  width: 20%;
  height: var(--form-height);
  padding: 10px;
  background: gray;
  cursor: pointer;
}
form button:hover {
  background: #4d4d4d;
}
form::after {
  content: "";
  clear: both;
  display: table;
}
#results ul {
  list-style-position: inside;
}
#results ul li a {
  text-decoration: none;
}
#results ul li a:hover {
  text-decoration: underline;
}
#results ul li:not(:last-child) {
  padding-bottom: 10px;
}
@media (prefers-color-scheme: light) {
  form input[type="text"] {
    border: 1px solid gray;
  }
}
